> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test webhook event

> Send a test webhook event to a specific webhook subscription



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhooks/{subscriptionId}/test
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/webhooks/{subscriptionId}/test:
    post:
      tags:
        - Webhooks
      summary: Send a test webhook event
      description: Send a test webhook event to a specific webhook subscription
      operationId: sendTestWebhookEvent
      parameters:
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
          description: The webhook subscription ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - eventType
              properties:
                eventType:
                  type: string
                  description: The event type to test
                  example: address.incoming_transfer
                overrides:
                  type: object
                  description: Optional overrides for the generated event
                  additionalProperties: true
                  example:
                    hash: >-
                      0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                    value: '2.5'
                    from: '0x1234567890abcdef1234567890abcdef12345678'
      responses:
        '200':
          description: Test webhook sent successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                        description: Whether the test was successful
                      message:
                        type: string
                        description: Result message
                      eventType:
                        type: string
                        description: The event type that was tested
                      payload:
                        type: object
                        description: The generated event payload
                      webhookId:
                        type: string
                        description: The webhook subscription ID
                      webhookName:
                        type: string
                        description: The webhook subscription name
                      webhookUrl:
                        type: string
                        description: The webhook URL
                      statusCode:
                        type: integer
                        description: HTTP status code from the webhook endpoint
                      response:
                        type: object
                        description: Response from the webhook endpoint
                      error:
                        type: string
                        description: Error message if any
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Webhook subscription not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````